# Edit an existing social template

Edit an existing social template identified by its unique uberall ID

Endpoint: PATCH /social-templates/{id}
Version: 20260701

## Path parameters:

  - `id` (string, required)
    The unique uberall ID for the Social Post Template you want to edit

## Request fields (*/*):

  - `title` (string)

  - `description` (string)

  - `photos` (array)

  - `photos.photo` (object)
    Placeholder to represent photo for a social post which can either be a base64 encoded string or a S3 link for image

  - `photos.description` (string)
    Description for the social post photo

  - `photos.redirectUrl` (string)
    The URL that a user is redirected to when clicking the photo

  - `videos` (array)

  - `type` (string)
    Enum: "POST", "OFFER", "ALERT", "EVENT", "QUESTION_AND_ANSWER", "REEL", "STORY", "CAROUSEL"

  - `directories` (array)

  - `url` (string)

  - `isStoreLocator` (boolean)

  - `callToActions` (array)

  - `callToActions.url` (string)
    The url of the call to action.

  - `callToActions.type` (string)
    The type of the call to action.
    Enum: "CALL", "LEARN_MORE", "SIGN_UP", "DIRECTIONS", "WEBSITE", "BOOK_TRAVEL", "INSTALL_APP", "LISTEN_MUSIC", "NO_BUTTON", "USE_APP", "WATCH_MORE", "WATCH_VIDEO", "DOWNLOAD", "BOOK", "ORDER", "SHOP"

  - `callToActions.directory` (string)
    The directory of the call to action.
    Enum: "FACEBOOK", "GOOGLE", "APPLE_MAPS", "LINKED_IN"

## Response 200 fields (*/*):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `warnings` (array)
    (optional) Holds further warnings

  - `response` (object, required)
    The actual response object of the response

  - `response.socialPostTemplate` (object)
    Social Post Template Model

  - `response.socialPostTemplate.title` (string)
    The title of the Social Post Template.

  - `response.socialPostTemplate.description` (string)
    The description of the Social Post Template. It is required if the template has no photos.

  - `response.socialPostTemplate.url` (string)
    A link for the Social Post Template.

  - `response.socialPostTemplate.type` (string, required)
    The type of the Social Post Template. POST, OFFER or QUESTION_AND_ANSWER, EVENT or ALERT.
    Enum: "POST", "OFFER", "ALERT", "EVENT", "QUESTION_AND_ANSWER", "REEL", "STORY", "CAROUSEL"

  - `response.socialPostTemplate.alertType` (string)
    Set to COVID_19 if this Social Post Template is a COVID-19 Google Alert Post
    Enum: "COVID_19"

  - `response.socialPostTemplate.id` (integer)
    Id

  - `response.socialPostTemplate.shared` (boolean)
    Defines if the Social Post Template is shared or not.

  - `response.socialPostTemplate.isStoreLocator` (boolean)
    When enabled, the SocialPost will be visible in StoreLocator

  - `response.socialPostTemplate.callToActions` (array)
    Social Post Call to Action Description (URL & Type)

  - `response.socialPostTemplate.callToActions.url` (string)
    The url of the call to action.

  - `response.socialPostTemplate.callToActions.type` (string)
    The type of the call to action.
    Enum: "CALL", "LEARN_MORE", "SIGN_UP", "DIRECTIONS", "WEBSITE", "BOOK_TRAVEL", "INSTALL_APP", "LISTEN_MUSIC", "NO_BUTTON", "USE_APP", "WATCH_MORE", "WATCH_VIDEO", "DOWNLOAD", "BOOK", "ORDER", "SHOP"

  - `response.socialPostTemplate.callToActions.directory` (string)
    The directory of the call to action.
    Enum: "FACEBOOK", "GOOGLE", "APPLE_MAPS", "LINKED_IN"

  - `response.socialPostTemplate.asset` (object)
    Dam Asset Model

  - `response.socialPostTemplate.asset.id` (integer)
    Id

  - `response.socialPostTemplate.asset.name` (string)
    Name

  - `response.socialPostTemplate.asset.description` (string)
    Description

  - `response.socialPostTemplate.asset.dateCreated` (string)
    The date when the asset was created

  - `response.socialPostTemplate.asset.dateUpdated` (string)
    The date when the asset was last updated

  - `response.socialPostTemplate.asset.status` (string)
    Status of the asset
    Enum: "HIDDEN", "VISIBLE", "REMOVED"

  - `response.socialPostTemplate.asset.type` (string)
    Type of the asset
    Enum: "AD_TEMPLATE", "SOCIAL_POST_TEMPLATE"

  - `response.socialPostTemplate.asset.authorId` (integer)
    The author of the asset

  - `response.socialPostTemplate.asset.folderId` (integer)
    The folder id where the asset is stored

  - `response.socialPostTemplate.asset.locationIds` (array)
    List of location Ids

  - `response.socialPostTemplate.asset.businessIds` (array)
    List of business ids

  - `response.socialPostTemplate.asset.excludedLocationIds` (array)
    List excluded location Ids

  - `response.socialPostTemplate.asset.labels` (array)
    List of labels

  - `response.socialPostTemplate.videos` (array)
    List of videos (currently only supports one element)

  - `response.socialPostTemplate.directories` (array)

  - `response.socialPostTemplate.ownerId` (integer)
    The id of the user that owns the Social Post Template. (Only informational. If included in the request, it will be ignored.)

  - `response.socialPostTemplate.ownerName` (string)
    The name of the user that owns the Social Post Template. (Only informational. If included in the request, it will be ignored.)

  - `response.socialPostTemplate.userId` (integer, required)
    Id of the user that is doing the action

  - `response.socialPostTemplate.photos` (array)
    The Social Post Template's photos. It should be a list containing BASE64 converted images or urls of photos from a previous Social Post. It is required if the template has no description.

  - `response.socialPostTemplate.photos.photo` (object)
    Placeholder to represent photo for a social post which can either be a base64 encoded string or a S3 link for image

  - `response.socialPostTemplate.photos.description` (string)
    Description for the social post photo

  - `response.socialPostTemplate.photos.redirectUrl` (string)
    The URL that a user is redirected to when clicking the photo

## Response 400 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 403 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 404 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

## Response 409 fields (application/json):

  - `status` (string, required)
    Enum: "SUCCESS", "PENDING", "QUOTA_LIMIT_EXCEED", "NOT_AUTHORIZED", "FORBIDDEN", "BAD_ACCESS_TOKEN", "BAD_PRIVATE_KEY", "BAD_PUBLIC_KEY", "MISSING_PARAMETER", "INVALID_PARAMETER", "WRONG_PARAMETER_TYPE", "CONFLICT", "RESOURCE_LOCKED", "SERVER_ERROR", "ERROR", "NOT_FOUND", "BAD_REQUEST", "USER_ERROR", "PARTIAL_ERROR", "SERVICE_TEMPORARILY_UNAVAILABLE"

  - `message` (string)
    (optional) Holds further information about the response

  - `errorCode` (string)
    Enum: "NORMALIZATION_FAILED", "DATA_CORRUPTED", "INVALID_INPUT", "NOT_SYNCABLE", "PAYMENT_FAILED", "FREE_TIER_REACHED", "LIMIT_REACHED", "INACTIVE", "UNKNOWN", "IDENTIFIER_NOT_UNIQUE", "ACCOUNT_WAITING_FOR_AUTO_PAGE_SELECT", "NO_ACCOUNT_CONNECTED", "NO_PAGE_SELECTED", "PAGE_NOT_CREATED", "PAGE_IN_REVIEW", "PAGE_CLAIMED_BY_OTHERS", "OVERLAPPING_SOCIALPOST", "TOO_MANY_REPLIES", "REPLY_TOO_LONG", "DEPRECATED"

  - `response` (object)
    (optional) The actual response object of the response

